BUILDING MEGAZEUX FOR PSP

As of 2.81d, MegaZeux can be built for PSP. The only supported toolchain for
this is devkitPSP.

BUILDING DEPENDENCIES

MegaZeux depends on libTremor and SDL, on the PSP platform. Check these modules
out from the ps2dev SVN repositories.

svn co svn://svn.pspdev.org/psp/trunk/libTremor
svn co svn://svn.pspdev.org/psp/trunk/SDL

First, build libTremor:

cd libTremor
LDFLAGS="-L`psp-config --pspsdk-path`/lib -lc -lpspuser" \
./autogen.sh --host psp --prefix=`psp-config --psp-prefix`
make
make install
cd ..

Then build SDL:

cd SDL
./autogen.sh
LDFLAGS="-L`psp-config --pspsdk-path`/lib -lc -lpspuser" \
./configure --host psp --prefix=`psp-config --psp-prefix`
make
make install
cd ..

BUILDING MEGAZEUX FROM SOURCES

Extract the latest version of MegaZeux, or obtain it from SVN. Before starting,
we need to add another path to the PATH variable, so that SDL may be correctly
detected. You should have the $DEVKITPRO and $DEVKITPSP variables defined
correctly. I will assume that these exist and are correct. Enter the
following:

export PATH=$DEVKITPSP/psp/bin:$PATH

cd megazeux
./config.sh --platform psp --prefix $PSPDEV/psp --optimize-size \
            --disable-editor --disable-helpsys --disable-utils \
            --disable-libpng --enable-release --enable-meter
make package

This will create an EBOOT.PBP.

PACKAGING THE BUILD

make archive

To construct a bootable zip archive.

--ajs
